package pps.core.prediction.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import lombok.Data;
import xstartup.annotation.XText;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 光伏电站生产情况表(每日统计)
 *
 * @author ZWT
 * @date 2024/10/20
 */
@Data
public class StationDailyProductionSituationView implements Serializable {
    @XText("ID")
    @TableField
    private Long id;

    @XText("井组名称(线路/光伏电站)")
    @TableField
    private String stationName;

    @XText("井组ID(光伏电站)")
    @TableField
    private String stationId;

    @XText("日期")
    @TableField
    private Date dataDate;

    @XText("生产时间(h)")
    @TableField
    private BigDecimal productionTime;

    @XText("日耗电量(kW-h)")
    @TableField
    private BigDecimal dailyElectricityConsumption;

    @XText("日产液量(m³)")
    @TableField
    private BigDecimal dailyLiquidProduction;

    @XText("日市电用电量")
    @TableField
    private BigDecimal dailyUtilityElectricityConsumption;

    @XText("尖峰时段用电量")
    @TableField
    private BigDecimal electricityConsumptionPh;

    @XText("高峰时段用电量")
    @TableField
    private BigDecimal electricityConsumptionHh;

    @XText("平时段用电量")
    @TableField
    private BigDecimal electricityConsumptionNp;

    @XText("谷时段用电量")
    @TableField
    private BigDecimal electricityConsumptionVh;

    @XText("日市电用电费")
    @TableField
    private BigDecimal electricityChargeCity;

    @XText("尖峰时段电费")
    @TableField
    private BigDecimal electricityChargesPh;

    @XText("高峰时段电费")
    @TableField
    private BigDecimal peakHourTariff;

    @XText("平时段电费")
    @TableField
    private BigDecimal normalPeriodTariff;

    @XText("谷时段用电费")
    @TableField
    private BigDecimal alleyHoursTariff;

    @XText("光伏发电量(KW·h)")
    @TableField
    private BigDecimal photovoltaicPower;

    @XText("来源系统")
    @TableField
    private String systemSource;

    @XText("创建时间")
    @TableField
    private Date createDate;
}
