package pps.core.middle.service;

import cn.hutool.core.date.DateUtil;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import pps.cloud.middle.service.IWeatherAttachmentCloudService;
import pps.cloud.middle.service.data.weather_attachment_record.GetWeatherAttachmentRecordInput;
import pps.cloud.middle.service.data.weather_attachment_record.GetWeatherAttachmentRecordOutput;
import pps.core.middle.entity.WeatherAttachmentRecordEnt;
import pps.core.middle.mapper.WeatherAttachmentRecordMapper;
import xstartup.annotation.XService;
import xstartup.base.XContext;
import xstartup.base.util.XCopyUtils;
import xstartup.data.XSingleResult;

import java.util.List;

/**
 * 天气附件记录
 *
 * @author ZWT
 * @date 2024/10/19 21:47
 */
@XService
public class WeatherAttachmentCloudServiceImpl implements IWeatherAttachmentCloudService {
    @Override
    public XSingleResult<GetWeatherAttachmentRecordOutput> getLatestEmail(XContext context, GetWeatherAttachmentRecordInput input) {
        WeatherAttachmentRecordMapper mapper = context.getBean(WeatherAttachmentRecordMapper.class);
        String emailName = DateUtil.date().toString("yyyyMMddHH00") + "天气预测数据" + input.getOilFieldCode();
        List<WeatherAttachmentRecordEnt> list = mapper.selectList(new QueryWrapper<WeatherAttachmentRecordEnt>()
                .select("EMAIL_DATA_TIME", "EMAIL_ATTACHMENT_URL", "EMAIL_NAME")
                .eq("EMAIL_NAME", emailName)
        );
        return XSingleResult.success(XCopyUtils.copyNewObject(list.get(0), GetWeatherAttachmentRecordOutput.class));
    }

    @Override
    public XSingleResult<GetWeatherAttachmentRecordOutput> getEmail(XContext context, GetWeatherAttachmentRecordInput input) {
        WeatherAttachmentRecordMapper mapper = context.getBean(WeatherAttachmentRecordMapper.class);
        List<WeatherAttachmentRecordEnt> list = mapper.selectList(new QueryWrapper<WeatherAttachmentRecordEnt>()
                .select("EMAIL_DATA_TIME", "EMAIL_ATTACHMENT_URL", "EMAIL_NAME")
                .orderByDesc("EMAIL_NAME")
        );
        return XSingleResult.success(XCopyUtils.copyNewObject(list.get(0), GetWeatherAttachmentRecordOutput.class));
    }
}
